package org.wfc.omada.api.log.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * EventLogGridVoEventLogOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2025-06-03T17:52:43.984874600+08:00[Asia/Shanghai]")

public class EventLogGridVoEventLogOpenApiVo   {
  @JsonProperty("totalRows")
  private Long totalRows;

  @JsonProperty("currentPage")
  private Integer currentPage;

  @JsonProperty("currentSize")
  private Integer currentSize;

  @JsonProperty("data")
  @Valid
  private List<EventLogOpenApiVo> data = null;

  @JsonProperty("eventLogStat")
  private EventLogStatOpenApiVo eventLogStat;

  public EventLogGridVoEventLogOpenApiVo totalRows(Long totalRows) {
    this.totalRows = totalRows;
    return this;
  }

  /**
   * Total rows of all items.
   * @return totalRows
  */
  @ApiModelProperty(value = "Total rows of all items.")


  public Long getTotalRows() {
    return totalRows;
  }

  public void setTotalRows(Long totalRows) {
    this.totalRows = totalRows;
  }

  public EventLogGridVoEventLogOpenApiVo currentPage(Integer currentPage) {
    this.currentPage = currentPage;
    return this;
  }

  /**
   * Current page number.
   * @return currentPage
  */
  @ApiModelProperty(value = "Current page number.")


  public Integer getCurrentPage() {
    return currentPage;
  }

  public void setCurrentPage(Integer currentPage) {
    this.currentPage = currentPage;
  }

  public EventLogGridVoEventLogOpenApiVo currentSize(Integer currentSize) {
    this.currentSize = currentSize;
    return this;
  }

  /**
   * Number of entries per page.
   * @return currentSize
  */
  @ApiModelProperty(value = "Number of entries per page.")


  public Integer getCurrentSize() {
    return currentSize;
  }

  public void setCurrentSize(Integer currentSize) {
    this.currentSize = currentSize;
  }

  public EventLogGridVoEventLogOpenApiVo data(List<EventLogOpenApiVo> data) {
    this.data = data;
    return this;
  }

  public EventLogGridVoEventLogOpenApiVo addDataItem(EventLogOpenApiVo dataItem) {
    if (this.data == null) {
      this.data = new ArrayList<>();
    }
    this.data.add(dataItem);
    return this;
  }

  /**
   * Get data
   * @return data
  */
  @ApiModelProperty(value = "")

  @Valid

  public List<EventLogOpenApiVo> getData() {
    return data;
  }

  public void setData(List<EventLogOpenApiVo> data) {
    this.data = data;
  }

  public EventLogGridVoEventLogOpenApiVo eventLogStat(EventLogStatOpenApiVo eventLogStat) {
    this.eventLogStat = eventLogStat;
    return this;
  }

  /**
   * Get eventLogStat
   * @return eventLogStat
  */
  @ApiModelProperty(value = "")

  @Valid

  public EventLogStatOpenApiVo getEventLogStat() {
    return eventLogStat;
  }

  public void setEventLogStat(EventLogStatOpenApiVo eventLogStat) {
    this.eventLogStat = eventLogStat;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    EventLogGridVoEventLogOpenApiVo eventLogGridVoEventLogOpenApiVo = (EventLogGridVoEventLogOpenApiVo) o;
    return Objects.equals(this.totalRows, eventLogGridVoEventLogOpenApiVo.totalRows) &&
        Objects.equals(this.currentPage, eventLogGridVoEventLogOpenApiVo.currentPage) &&
        Objects.equals(this.currentSize, eventLogGridVoEventLogOpenApiVo.currentSize) &&
        Objects.equals(this.data, eventLogGridVoEventLogOpenApiVo.data) &&
        Objects.equals(this.eventLogStat, eventLogGridVoEventLogOpenApiVo.eventLogStat);
  }

  @Override
  public int hashCode() {
    return Objects.hash(totalRows, currentPage, currentSize, data, eventLogStat);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class EventLogGridVoEventLogOpenApiVo {\n");
    
    sb.append("    totalRows: ").append(toIndentedString(totalRows)).append("\n");
    sb.append("    currentPage: ").append(toIndentedString(currentPage)).append("\n");
    sb.append("    currentSize: ").append(toIndentedString(currentSize)).append("\n");
    sb.append("    data: ").append(toIndentedString(data)).append("\n");
    sb.append("    eventLogStat: ").append(toIndentedString(eventLogStat)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

